curl --request POST \
--url https://api.myscalev.com/v3/orders/change-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123
],
"status": "draft",
"by": "<string>",
"financial_entity_id": 123,
"payment_account_holder": "<string>",
"payment_account_number": "<string>",
"payment_method": "va",
"payment_status": "unpaid",
"rtsproof_url": "<string>",
"transfer_time": "2023-11-07T05:31:56Z",
"transferproof_url": "<string>"
}
'{
"data": [
{
"id": 123,
"order_id": "<string>",
"payment_status": "unpaid",
"status": "draft"
}
],
"is_paginated": false
}Requires the order:change_status machine scope. Change the status of multiple orders.
curl --request POST \
--url https://api.myscalev.com/v3/orders/change-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123
],
"status": "draft",
"by": "<string>",
"financial_entity_id": 123,
"payment_account_holder": "<string>",
"payment_account_number": "<string>",
"payment_method": "va",
"payment_status": "unpaid",
"rtsproof_url": "<string>",
"transfer_time": "2023-11-07T05:31:56Z",
"transferproof_url": "<string>"
}
'{
"data": [
{
"id": 123,
"order_id": "<string>",
"payment_status": "unpaid",
"status": "draft"
}
],
"is_paginated": false
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Status or payment status change data
Order primary key IDs
Order status
draft, pending, confirmed, in_process, ready, shipped, completed, canceled, rts, closed Entity or user performing the status change
Financial entity ID
Payment account holder name
Payment account number
Order payment method
va, qris, card, invoice, alfamart, indomaret, ovo, dana, shopeepay, linkaja, gopay, no_payment, bank_transfer, marketplace, cod Order payment status
unpaid, paid, conflict, settled Return to sender proof image URL
Transfer timestamp (ISO 8601 format)
Transfer proof image URL